/** ProjectPreferences.java

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

 @author Hemerson Pistori (pistori@ec.ucdb.br)

 This work is based on Dr. Joao Jose Neto theories and techniques on
 Automata and Formal Languages (http://www.pcs.usp.br/~lta).

*/

package adaptools.vm;

// Java Classes for IO,GUI and basic routines.
import javax.swing.*;
import java.awt.*;

/**

 Keep and handle information specific to each project, like the default sufixes
 that is to be used when opening or saving input and output files. (other
 information, that are now being kept outside this class - like the
 name of the input, output and object code files - must be added to this
 class in the future).

 @author Hemerson Pistori (pistori@ec.ucdb.br)

*/
public class ProjectPreferences extends JDialog {

    private JLabel      inputSufixLabel;
    public  JTextField  inputSufix;
    private JLabel      outputSufixLabel;
    public  JTextField  outputSufix;
    private JButton     okButton;

    public ProjectPreferences() {

        setTitle("Project Preferences");

        inputSufixLabel = new JLabel("Input Sufix:");
        inputSufix = new JTextField("in");

        outputSufixLabel = new JLabel("Output Sufix:");
        outputSufix = new JTextField("out");

        okButton = new JButton("OK");
        okButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
              hide();
            }
        });


        getContentPane().setLayout(new GridLayout(3,2));

        getContentPane().add(inputSufixLabel);
        getContentPane().add(inputSufix);
        getContentPane().add(outputSufixLabel);
        getContentPane().add(outputSufix);
        getContentPane().add(okButton);

        pack();
		setLocation(100,80);

    }

    public void setInputSufix(String str) {
		inputSufix.setText(str);
    }

    public void setOutputSufix(String str) {
		outputSufix.setText(str);
    }

    public String getInputSufix() {
		return inputSufix.getText();
    }

    public String getOutputSufix() {
		return outputSufix.getText();
    }


    public String toString() {
		return "[inputSufix];"+inputSufix.getText()+"\n[outputSufix];"+outputSufix.getText()+"\n";
    }


    public static void main(String args[]) {

		ProjectPreferences projectPrefs = new ProjectPreferences();

    }

}
