/** Semantics.java


 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

 @author Hemerson Pistori (pistori@ec.ucdb.br)

 This work is based on Dr. Joao Jose Neto theories and techniques on
 Automata and Formal Languages (http://www.pcs.usp.br/~lta).


*/

package adaptools.vm;

/**

 Interface that must be specialized in order to implement
 the semanctics of an adaptive automaton.

 @see adaptools.examples.cc.Semantics
 @see adaptools.examples.ccl.Semantics
 @see adaptools.examples.voice.Semantics

 @author Hemerson Pistori (pistori@ec.ucdb.br)


*/
public interface Semantics  {

	public void init(Vmds vmds);
    public Token execute(String name);

}
