/** Utils.java

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

 @author Hemerson Pistori (pistori@ec.ucdb.br)

 This work is based on Dr. Joao Jose Neto theories and techniques on
 Automata and Formal Languages (http://www.pcs.usp.br/~lta).

*/
package adaptools.vm;

// Java Classes for IO,GUI and basic routines.
import java.io.BufferedReader;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStreamReader;


/**
*   Some utility functions.
*
*   @author Hemerson Pistori (pistori@ec.ucdb.br)
*
*/
public class Utils  {

    public static String fileToString(String dir, String fileName) {
       StringBuffer buffer = new StringBuffer();
       if(dir == null) dir = new String("");
       
       try {
    	  @SuppressWarnings("unused") String fileNameStr = new String(concatDirName(dir,fileName));
          FileInputStream fis = new FileInputStream(fileNameStr);
          
          
	      InputStreamReader isr = new InputStreamReader(fis);
	      BufferedReader in = new BufferedReader(isr);
	      int ch;
	      while ((ch = in.read()) > -1) {
			if(ch!=13) {
	     	  buffer.append((char)ch);
		    }
	      }
	      in.close();
	      return buffer.toString();
        } catch (IOException e) {
			 System.out.println("Problems reading file = "+fileName+"["+e+"]");
//	         e.printStackTrace();
	         return "";
	    }

    }

    public static String concatDirName(String dir, String fileName) {
       /*if( (Dir.equals("") || ((fileName.length() > 0)) && (fileName.charAt(0)=='/'))) return( fileName );
        else if(Dir == null ) return( fileName );
        else return( Dir+"/"+fileName );*/
        
        if( fileName.length() > 0 ){
        	if(dir.equals("") || dir == null && fileName.charAt(0) == '/' ) return (fileName);
        }
        
        if (dir != null && dir.length() > 0) return (dir+"/"+fileName);
        
        return null;
    }
}






