/** Semantics.java
 
 Provides the semantics for a pushdown state automata that implements
 a compiler-compiler invented by Dr. Joao Jose Neto. The input grammar
 must be in the Wirth notation.
 
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 
 @author Hemerson Pistori (pistori@ec.ucdb.br)
 
 This work is based on Dr. Joao Jose Neto theories and techniques on
 Automata and Formal Languages (http://www.pcs.usp.br/~lta).
 
 
*/

package eventos;

import adaptools.vm.Token;
import adaptools.vm.Vmds;


public class Semantics implements adaptools.vm.Semantics  {

    StringBuffer value;

    public Vmds vmds;

    public void init(Vmds vmds) {
        this.vmds = vmds;
        value = new StringBuffer();
    }

    public Token execute(String name) {
        if(name.equals("_initEvento"))
            return(_initEvento());
        else if(name.equals("_closeEvento"))
            return(_closeEvento());
        else if(name.equals("_appendToBuffer"))
            return(_appendToBuffer());
        else if(name.equals("_initBuffer"))
            return(_initBuffer());
        else if(name.equals("_bufferToken"))
            return(_bufferToken());
        else if(name.equals("_impDelimiter"))
            return(_impDelimiter());
        else if(name.equals("_metaSymbol"))
            return(_metaSymbol());
        else
            return(null);
    }



    private Token _initBuffer() {
        value = new StringBuffer();
        return null;
    }

    private Token _appendToBuffer() {
        value.append(vmds.curToken().value);
        return null;
    }

    private Token _bufferToken() {
        String temp = value.toString();
        _initBuffer();
        return new Token(temp,temp);
    }

    private Token _initEvento() {
        _initBuffer();
        return new Token("s.execute(\"insert into eventos values ('","");
    }

    private Token _closeEvento() {
        return new Token("','TC','I','A')\";\n","");
    }

    private Token _impDelimiter() {
        return new Token("','","DEL");
    }

    // Return the symbol
    private Token _metaSymbol() {
        return new Token(vmds.curToken().value,vmds.curToken().value);
    }


}
