/** Semantics.java
 
 Provides the semantics for a pushdown state automata that implements
 a compiler-compiler invented by Dr. Joao Jose Neto. The input grammar
 must be in the Wirth notation.
 
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 
 @author Hemerson Pistori (pistori@ec.ucdb.br)
 
 This work is based on Dr. Joao Jose Neto theories and techniques on
 Automata and Formal Languages (http://www.pcs.usp.br/~lta).
 
 
*/

package rsw;

import adaptools.vm.Token;
import adaptools.vm.Vmds;


public class Semantics implements adaptools.vm.Semantics  {

    StringBuffer value;

    public Vmds vmds;

    public void init(Vmds vmds) {
        this.vmds = vmds;
        value = new StringBuffer();
    }

    public Token execute(String name) {
        if(name.equals("init"))
            return(init());
        else if(name.equals("initapp"))
            return(initapp());
        else if(name.equals("append"))
            return(append());
        else if(name.equals("ready"))
            return(ready());
        else
            return(null);
    }


    private Token init() {
        value = new StringBuffer();
        return null;
    }

    private Token initapp() {
        value = new StringBuffer();
        value.append(vmds.curToken().value);
        return null;
    }

    private Token append() {
        value.append(vmds.curToken().value);
        return null;
    }

    private Token ready() {
        //	   System.out.println("Lexico Semantics Retorna = "+value.toString());
        return new Token(value.toString(),value.toString());
    }



}
