/** Semantics.java
 
 Provides the semantics for a very simple texto-to speech translator.
 
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 
 @author Hemerson Pistori (pistori@ec.ucdb.br)
 
 This work is based on Dr. Joao Jose Neto theories and techniques on
 Automata and Formal Languages (http://www.pcs.usp.br/~lta).
 
 
*/

package voice;

import adaptools.utils.ListFilesSubs;
import adaptools.vm.Token;
import adaptools.vm.Vmds;


public class Semantics implements adaptools.vm.Semantics {

    public String soundExt = ".wav";
    public String baseDir = "semantics//voice//phonemes//";
    //public String baseDir = ListFilesSubs.doGetDir()+"semantics/voice/phonemes/";
    public Vmds vmds;
    public SoundPlayer player = new SoundPlayer();
    
    public void init(Vmds vmds) {
        this.vmds = vmds;    
    }
    
    public Token execute(String name) {
        return(say(name));
    }

    private Token say(String name) {
        player.playAndWait(baseDir+name+soundExt);
        return(null);
    }

}
